%global pkgname cssselect

Name:       python-cssselect
Version:    1.2.0
Release:    1
Summary:    CSS Selectors for Python
License:    BSD-3-Clause
URL:        https://github.com/scrapy/cssselect
Source0:    %{url}/archive/v%{version}/%{pkgname}-%{version}.tar.gz

BuildArch:  noarch

%description
Cssselect parses CSS3 Selectors and translates them to XPath 1.0 expressions.
Such expressions can be used in lxml or another XPath engine to find the
matching elements in an XML or HTML document.


%package -n python3-%{pkgname}
%{?python_provide:%python_provide python3-%{pkgname}}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{pkgname}
Cssselect parses CSS3 Selectors and translates them to XPath 1.0 expressions.
Such expressions can be used in lxml or another XPath engine to find the
matching elements in an XML or HTML document. This is the Python 3 version.


%prep
%autosetup -n %{pkgname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pkgname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pkgname}*/

%changelog
* Mon Feb 20 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 1.2.0-1
- Update package to version 1.2.0

* Tue May 10 2022 wulei <wulei80@h-partners.com> - 1.1.0-3
- License compliance rectification

* Fri Oct 30 2020 yanglongkang <yanglongkang@huawei.com> - 1.1.0-2
- remove python2 dependency

* Thu Jul 16 2020 yanglongkang <yanglongkang@huawei.com> - 1.1.0-1
- update package to 1.1.0

* Sat Feb 22 2020 hy-euler <eulerstoragemt@huawei.com> - 0.9.2-10
- init package
